# ReSwift

<svg xmlns="http://www.w3.org/2000/svg" width="330" height="20" viewBox="0 0 330 20"><g shape-rendering="crispEdges"><path fill="#555" d="M0 0h52v20H0z"></path><path fill="#CA3522" d="M52 0h39v20H52z"></path><path fill="#9f9f9f" d="M91 0h159v20H91z"></path><path fill="#555" d="M250 0h49v20H250z"></path><path fill="#CA3522" d="M299 0h31v20H299z"></path></g><g fill="#fff" text-anchor="middle" font-family="DejaVu Sans,Verdana,Geneva,sans-serif" font-size="11"><text x="27" y="14">version</text><text x="70.5" y="14">0.2.4</text><text x="170.5" y="14">ios | osx | tvos | watchos</text><text x="275.5" y="14">license</text><text x="314.5" y="14">MIT</text></g></svg>

**This library is a pre-release. Expect missing docs and breaking API changes.**

ReSwift is a [Redux](https://github.com/rackt/redux)-like implementation of the unidirectional data flow architecture in Swift. It embraces a unidirectional data flow that only allows state mutations through declarative actions.

### Merge announcement:

**ReduxKit** and **Swift-Flow** have joined forces! The result is **ReSwift**.

_The nitty gritty_: We decided to deprecate [ReduxKit](https://github.com/ReduxKit/ReduxKit) and keep it as a reference implementation of how an almost exact Redux implementation in Swift can be accomplished. It will no longer be actively maintained, but PRs are still welcome.

Swift-Flow has adopted the name **ReSwift** and moved to it's new home as a nod to it's Redux roots that remain at it's core. Going forward, our combined efforts will be focused on ReSwift and surrounding tooling.

## Contents

- [About ReSwift](about-reswift.html)
- [Why ReSwift?](why-reswift.html)
- [Getting Started Guide](getting-started-guide.html)
- [Installation](installation.html)
- [Testing](testing.html)
- [Demo](demo.html)
- [Extensions](extensions.html)
- [Example Projects](example-projects.html)
- [Contributing](contributing.html)
- [Changelog](changelog.html)
- [Credits](credits.html)
- [Get in touch](get-in-touch.html)
- [License](license.html)

### API

- [Stores](Stores.html)
- [State](State.html)
- [Actions](Actions.html)
- [Reducers](Reducers.html)
- [Utilities](Utilities.html)

